<?
   session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
<!--<link rel="stylesheet" href="disenio_empleados/estilo.css" type="text/css" />-->
<script language="javascript" type="text/javascript" src="disenio_empleados/validacion.js"></script>

<script language="javascript" type="text/javascript" src="js/niceforms.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="css/niceforms-default.css" />

<script language="javascript">
function foco()
 {
  document.form1.usuario.focus();
 }
</script>

</head>
<body onload="foco()">
<?php

if(isset($_POST['botoncambiar']))
  {
   $usuario=$_POST['usuario'];
   $pas_anterior=$_POST['password_anterior'];
   $pas_anterior_cod=md5($pas_anterior);
   $pas_nueva=md5($_POST['password_nueva']);
      
   if($pas_nueva!=$pas_anterior_cod)	  
   {	  
   
   $datos=mysql_query("select count(*) as cuantos from empleados where usuario='$usuario' and pass='$pas_anterior_cod'",$db_conexion);
   $rd=mysql_fetch_array($datos);
   if($rd['cuantos']>0)
    {
	 $pass_repetido=mysql_query("select count(*) as pass_repe from empleados where pass='$pas_nueva'");
	 $rpr=mysql_fetch_array($pass_repetido);
	 
	 if($rpr['pass_repe']==0)
	  {
	   $nuevopass=mysql_query("update empleados set pass='$pas_nueva' where usuario='$usuario'");
	    echo "
	         <script language='javascript'>
	         alert('Contraseņa modificada correctamente');
	         </script>"; 	  
	  }
	  else
	  {
		 echo "
			  <script language='javascript'>
			  alert('La contraseņa nueva ya esta registrada. Favor de verificar');
			  </script>"; 	   
			  }
	}
	
	else 
	{
	  echo "
	  <script language='javascript'>
	  alert('Los datos no corresponden. Favor de verificar');
	  </script>"; 	  
	}
	
   }
   else
   {
	  echo "
	  <script language='javascript'>
	  alert('Las contraseņas son identicas. Favor de verificar');
	  </script>"; 	  
	}
	
  }  
?>
						
<!-- INICIA FORMULARIO DEL CAMBIO-->
<div id="container">
<form action="" name="form1" method="post" onsubmit="return validar(this)" class="niceform" enctype="multipart/form-data">
    <fieldset>
    	<legend>Cambiar Password</legend>
		 <dl>
        	<dt><label for="usuario">Usuario:</label></dt>
            <dd><input type="text" name="usuario" id="usuario" size="32" onChange="javascript:this.value=this.value.toUpperCase();"/></dd>
        </dl> 
        <dl>
        	<dt><label for="password_anterior">Pass Anterior:</label></dt>
            <dd><input type="password" name="password_anterior" id="password_anterior" size="32" maxlength="32" onChange="javascript:this.value=this.value.toUpperCase();"/></dd>
        </dl>
		 <dl>
        	<dt><label for="password_nueva">Pass Nueva:</label></dt>
            <dd><input type="password" name="password_nueva" id="password_nueva" size="32" maxlength="32" onChange="javascript:this.value=this.value.toUpperCase();"/></dd>
        </dl> 
    </fieldset>
    <fieldset class="action">
    	<input type="submit" name="botoncambiar" id="submit" value="Cambiar" />
    </fieldset>
</form>
</div>
</body>
</html>
<!-- TERMINA FORMULARIO DE REGISTRO DE BOLSA DE TRABAJO-->					

						